Package com.uca.bookings

## Interface State

All Known Implementing Classes:
  `BookingState`

    public interface State

Interface déclarant les opérations possibles du patron de conception état utilisé pour représenter les états possibles d'une réservation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel​(Booking booking)`
`void` `confirm​(Booking booking)`
`void` `pay​(Booking booking)`

### Method Detail

#### pay

    void pay​(Booking booking)

#### confirm

    void confirm​(Booking booking)

#### cancel

    void cancel​(Booking booking)